> ## Documentation Index
> Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update business entity

> Update an existing business entity with the provided details.



## OpenAPI

````yaml /openAPI/openapi-20240301.json patch /business_entities/{entity_id}
openapi: 3.1.0
info:
  title: zenskar
  version: 2.0.0
servers:
  - url: https://api.zenskar.com
security:
  - ApiTokenAuth: []
    OrganisationAuth: []
paths:
  /business_entities/{entity_id}:
    patch:
      tags:
        - Business Entities
      summary: Update business entity
      description: Update an existing business entity with the provided details.
      operationId: Update-business-entity
      parameters:
        - name: entity_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Entity Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateBusinessEntityRequestSchema'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BusinessEntityResponseSchema'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    UpdateBusinessEntityRequestSchema:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: Business Entity Name
        address:
          anyOf:
            - $ref: '#/components/schemas/EntityAddress'
            - type: 'null'
          description: Business Entity address
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
          description: Business Entity email
        phone_number:
          anyOf:
            - type: string
              maxLength: 20
            - type: 'null'
          title: Phone Number
          description: Business Entity phone number
        is_default:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Default
          description: Business Entity default
        tax_config:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Tax Config
          description: Business Entity tax config
        logo_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Logo Url
          description: Business Entity logo URL
      type: object
      title: UpdateBusinessEntityRequestSchema
      description: Update Organisation Request Schema
    BusinessEntityResponseSchema:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Business Entity ID
        name:
          type: string
          title: Name
          description: Business Entity Name
        address:
          anyOf:
            - $ref: '#/components/schemas/EntityAddress'
            - type: 'null'
          description: Business Entity address
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
          description: Business Entity email
        phone_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone Number
          description: Business Entity phone number
        is_default:
          type: boolean
          title: Is Default
          description: Business Entity default
        tax_config:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Tax Config
          description: Business Entity tax config
        logo_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Logo Url
          description: Business Entity logo URL
      type: object
      required:
        - id
        - name
        - is_default
      title: BusinessEntityResponseSchema
      description: Business Entity Response Schema
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    EntityAddress:
      properties:
        line1:
          anyOf:
            - type: string
            - type: 'null'
          title: Line1
          description: Line 1
        line2:
          anyOf:
            - type: string
            - type: 'null'
          title: Line2
          description: Line 2
        line3:
          anyOf:
            - type: string
            - type: 'null'
          title: Line3
          description: Line 3
        city:
          anyOf:
            - type: string
            - type: 'null'
          title: City
          description: City
        state:
          anyOf:
            - type: string
            - type: 'null'
          title: State
          description: State
        zipCode:
          anyOf:
            - type: string
            - type: 'null'
          title: Zipcode
          description: Zip Code
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
          description: Country
        validation_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Validation Status
          description: Address Validation Status
      type: object
      title: EntityAddress
      description: Address Schema
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiTokenAuth:
      type: apiKey
      in: header
      name: x-api-key
      x-default: <your-api-key>
    OrganisationAuth:
      type: apiKey
      in: header
      name: organisation
      x-default: <your-organisation-id>

````